/*
 * Copyright (c) 2006-2008 Maskat Project.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Maskat Project - initial API and implementation
 */
package org.maskat.core.layout;

import org.maskat.core.event.EventTypeConstants;

public class Image extends AbstractComponent {

	public static final String POSITION_DEFAULT = "absolute";
	
//	public static final boolean BOOL_FLOAT_LEFT_DEFAULT = false;
//	
//	public static final boolean BOOL_FLOAT_RIGHT_DEFAULT = false;
	
	public static final boolean DRAGGABLE_DEFAULT = false;
	
	private String imageOut;

	private String imageOn;

	private String alternateText;

//	private String imageDisabled;

//	private boolean boolFloatLeft = BOOL_FLOAT_LEFT_DEFAULT;
//
//	private boolean boolFloatRight = BOOL_FLOAT_RIGHT_DEFAULT;
	
	private String position = POSITION_DEFAULT;
	
	private boolean draggable = DRAGGABLE_DEFAULT;

	public String getAlternateText() {
		return alternateText;
	}

	public void setAlternateText(String alt) {
		this.alternateText = alt;
	}

	public String getImageOut() {
		return imageOut;
	}

	public void setImageOut(String imageOut) {
		this.imageOut = imageOut;
	}

	public String getImageOn() {
		return imageOn;
	}

	public void setImageOn(String imageOn) {
		this.imageOn = imageOn;
	}

//	public boolean isBoolFloatLeft() {
//		return boolFloatLeft;
//	}
//
//	public void setBoolFloatLeft(boolean boolFloatLeft) {
//		this.boolFloatLeft = boolFloatLeft;
//	}
//
//	public boolean isBoolFloatRight() {
//		return boolFloatRight;
//	}
//
//	public void setBoolFloatRight(boolean boolFloatRight) {
//		this.boolFloatRight = boolFloatRight;
//	}
//
//	public String getImageDisabled() {
//		return imageDisabled;
//	}
//
//	public void setImageDisabled(String imageDisabled) {
//		this.imageDisabled = imageDisabled;
//	}

	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}
	
	public boolean isDraggable() {
		return draggable;
	}

	public void setDraggable(boolean draggable) {
		this.draggable = draggable;
	}

	public String[] getEventTypes() {
		return new String[] {EventTypeConstants.ON_CLICK};
	}
}
